"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CommitTransaction_1 = require("../model/operations/CommitTransaction");
class CommitTransactionCommand {
    constructor(input) {
        this.input = input;
        this.model = CommitTransaction_1.CommitTransaction;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CommitTransactionCommand = CommitTransactionCommand;
//# sourceMappingURL=CommitTransactionCommand.js.map