"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ExecuteSql_1 = require("../model/operations/ExecuteSql");
class ExecuteSqlCommand {
    constructor(input) {
        this.input = input;
        this.model = ExecuteSql_1.ExecuteSql;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ExecuteSqlCommand = ExecuteSqlCommand;
//# sourceMappingURL=ExecuteSqlCommand.js.map